@echo on

@rem if exist C:\Windows\SysWOW64 goto win64
goto win32
@rem goto dpmi32

cd bin\dos
call ..\..\test1.bat
if not errorlevel 0 goto done
cd ..\..

cd bin\dpmi
call ..\..\test1.bat
if not errorlevel 0 goto done
cd ..\..

:dpmi32
cd bin\dpmi32
call ..\..\test1.bat EXTEND
if not errorlevel 0 goto done
cd ..\..

:win32
cd bin\win32
call ..\..\test1.bat EXTEND
if not errorlevel 0 goto done

:win64
if not exist C:\Windows\SysWOW64 goto done
cd bin\win64
call ..\..\test1.bat EXTEND
if not errorlevel 0 goto done


:done
cd ..\..
